<mamecheat version="1">

  <cheat desc="Select Starting Stage"> <comment>Enable on the 'Push 1 (or 2) Player Button' screen after you've inserted a credit</comment>
    <parameter min="1" max="6" step="1"/>
    <script state="change">
      <action>maincpu.pb@C400=(param)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@C301=03</action>
    </script>
  </cheat>

  <cheat desc="Always Keep One Ball">
    <script state="on">
      <action>temp0 =maincpu.md@1AA7</action>
      <action>temp1 =maincpu.mw@1AAB</action>
    </script>
    <script state="run">
      <action>maincpu.md@1AA7=BE06CBDD</action>
      <action>maincpu.mw@1AAB=0318</action> <!-- 1st = res 7,(ix+$06), 2nd = jr $1AB0 -->
    </script>
    <script state="off">
      <action>maincpu.md@1AA7=temp0 </action>
      <action>maincpu.mw@1AAB=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Always Have x2">
    <script state="run">
      <action>maincpu.pb@CB84=01|(maincpu.pb@CB84 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Milk">
    <script state="run">
      <action>maincpu.pb@CB84=04|(maincpu.pb@CB84 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Shoes">
    <script state="run">
      <action>maincpu.pb@CB84=08|(maincpu.pb@CB84 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Long">
    <script state="run">
      <action>maincpu.pb@CB84=10|(maincpu.pb@CB84 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Star">
    <script state="run">
      <action>maincpu.pb@CB84=20|(maincpu.pb@CB84 BAND ~20)</action>
      <action>maincpu.pd@D41A=008002F2|(maincpu.pd@D41A BAND ~0080FFFF)</action>
      <action>maincpu.pw@D41D=0301</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
